Bug 1790 - osso-wlan won't build: missing header files
: osso-wlan won't build: missing header files
Status: RESOLVED FIXED
Product: Development platform
rootstrap
: unspecified
: All Maemo
: Low normal with 1 vote (vote)
: ---
Assigned To: Janne Johansson
: Maemo QA (deprecated)
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-10 18:14 UTC by Jussi Kukkonen
Modified: 2008-08-08 09:12 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jussi Kukkonen (reporter) 2007-08-10 18:14:58 UTC
wlancond-dbus.h and wlancond.h are needed to build osso-wlan.

There's also something fishy with the way the package is built: osso-wlan
build-depends on osso-wlan-dev. That's unorthodox even if osso-wlan-dev was
available somewhere (I would have expected osso-wlan-dev to be built from
osso-wlan sources)...

maemo-developers mentions:
http://lists.maemo.org/pipermail/maemo-developers/2007-March/thread.html#8893
http://lists.maemo.org/pipermail/maemo-developers/2007-April/thread.html#9428
http://lists.maemo.org/pipermail/maemo-developers/2007-August/thread.html#11210
Comment 1 Andre Klapper maemo.org 2008-07-17 16:22:14 UTC
Is this still an issue?
Comment 2 Daniel Martin Yerga 2008-07-17 18:26:23 UTC
I would say so.

osso-wlan built correctly when you install osso-wlan-dev (it's in the
repository I think). osso-wlan-dev has the necessary header files into. And
osso-wlan continues having build-depend to osso-wlan-dev.

IMHO, the headers files should be in the sources of osso-wlan. So osso-wlan
shouldn't build-depend to osso-wlan-dev. And the package osso-wlan-dev should
be built with the sources of osso-wlan.
Comment 3 Kalle Valo nokia 2008-07-17 18:45:48 UTC
Quick googling found this:

http://repository.maemo.org/pool/maemo4.1/free/o/osso-wlan-dev/

Please take a look if that's the correct package.
Comment 4 Andre Klapper maemo.org 2008-08-04 16:20:48 UTC
dyerga?
Comment 5 Daniel Martin Yerga 2008-08-07 21:51:47 UTC
(In reply to comment #4)
> dyerga?
> 

I am going to close this bug as fixed because the header files are available in
osso-wlan-dev, and it built correctly now. Thanks.
Although the initial comment from Jussi is valid yet, and the normal behaviour
would be that the header files are into the .tar.gz sources but it's a minor
issue.
Comment 6 Kalle Valo nokia 2008-08-08 09:12:44 UTC
(In reply to comment #5)
> I am going to close this bug as fixed because the header files are available in
> osso-wlan-dev, and it built correctly now.

Thanks for testing this.

> Although the initial comment from Jussi is valid yet, and the normal behaviour
> would be that the header files are into the .tar.gz sources but it's a minor
> issue.

This is because we wanted to avoid code duplication. There is more than one
package build depending on osso-wlan-dev.